;InnoSetupVersion=3.0.5

[Setup]
AppName=DS Clock
AppVerName=DS Clock
AppId=DS Clock
AppVersion=1.5
AppPublisher=Duality Software
AppPublisherURL=http://www.dualitysoft.com/dsclock/
AppSupportURL=http://www.dualitysoft.com/support.html
AppUpdatesURL=http://www.dualitysoft.com/download.html
AppMutex=m_dsclock32
DefaultDirName={pf}\DS Clock
DefaultGroupName=DS Clock
UninstallDisplayIcon=(app)dsclock.exe
UninstallDisplayName=Uninstall DS Clock
OutputBaseFilename=setup
Compression=zip
PrivilegesRequired=none
DisableProgramGroupPage=yes
AllowNoIcons=yes
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\dsclock.chm"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dsclock.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dsound.dll"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\license.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\file_id.diz"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\dsclock.xml"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\timesvrs.dat"; DestDir: "{app}"; Flags: onlyifdoesntexist 
Source: "{app}\Sounds\Chimes.wav"; DestDir: "{app}\Sounds"; Flags: onlyifdoesntexist 
Source: "{app}\Sounds\Cuckoo.wav"; DestDir: "{app}\Sounds"; Flags: onlyifdoesntexist 

[Dirs]
Name: "{app}\Sounds"; Flags: uninsalwaysuninstall 

[Registry]
Root: HKCU; Subkey: "Software\Microsoft\Windows\CurrentVersion\Run"; ValueName: "DS Clock"; ValueType: String; ValueData: """{app}\dsclock.exe"""; Flags: uninsdeletevalue 
Root: HKCU; Subkey: "Software\Duality Software"; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock\Common"; Flags: uninsdeletekey 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock\Common"; ValueName: "CC"; ValueType: Dword; ValueData: "$1"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock\Common"; ValueName: "CF"; ValueType: Dword; ValueData: "$1"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock\Common"; ValueName: "CT"; ValueType: Dword; ValueData: "$0"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock\Common"; ValueName: "CB"; ValueType: Dword; ValueData: "$C0DCC0"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock\Common"; ValueName: "H0"; ValueType: String; ValueData: "{app}\Sounds\Cuckoo.wav"; Flags: createvalueifdoesntexist 
Root: HKCU; Subkey: "Software\Duality Software\DS Clock\Common"; ValueName: "H2"; ValueType: String; ValueData: "{app}\Sounds\Chimes.wav"; Flags: createvalueifdoesntexist 

[Run]
Filename: "{app}\dsclock.exe"; Description: "Launch DS Clock now."; Flags: postinstall nowait

[Icons]
Name: "{group}\DS Clock Help"; Filename: "{app}\dsclock.chm"; 
Name: "{group}\DS Clock"; Filename: "{app}\dsclock.exe"; 
Name: "{group}\Uninstall DS Clock"; Filename: "{uninstallexe}"; 
